Kerbal Space Program - Bug #25677

Comet Harvester not working
07/02/2020 12:45 PM - ShadowZone

Status: Closed Start date: 07/02/2020
Severity: Low % Done: 100%
Assignee:
Category: Resources
Target version: 1.10.1
Version: 1.10.0 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

| grabbed onto a comet with a vessel.
"Start Comet Harvester" does not do anything, | also don't get an information what's wrong or missing in the PAW.

| then cheated the exact same vehicle to the same comet and attached it, it works.
Then | transfered crew to the new vehicle, scuttled the old and then the new vehicle exhibits the same weird behavior.

Problem in action:
https://www.youtube.com/watch?v=AbW051h9ziA

Attached:
Craft file
Save game

History

#1 - 07/02/2020 12:48 PM - ShadowZone
- File tmp.craft added

Second craft file without mods. This is the one that worked at first but then did not after detaching the older one.

#2 - 07/02/2020 03:51 PM - RafaHdz
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed. Drill works normally when grabbing an Asteroid. Grabbing a Comet, the drill moves briefly and then stops.

#4 - 07/05/2020 01:54 AM - Technophant
- File Asteroid Miner 2.craft added
- File persistent.zip added

Created an account to say ME TOO and this should be moved up in priority. Cheated a rendezvous with two different comets in this craft and once
attached, the drill lowers, says "harvest comet", starts for half-second then quits, does not mine any ore. | troubleshooted any issues including
contact locations and angles. Tried this craft with two other asteroids and it works fine.

The save file has one miner attached to a comet that's leaving the system and two attached to an asteroid orbiting Ike.

There's also an error with naming the comets. once | attached my craft it went from comet S-something to a random asteroid name. Mods used in
craft, none. Mods used in game EVE, Lynx. Career mode not part of contract. Have not tried in other modes or as mission.

#5 - 07/12/2020 10:48 AM - arctangent
- Platform Linux added

| think the problem is that the comet harvester copied the ImpactRange from the mini drill rather than from the large drill's asteroid harvester (1.5
rather than 5). .../GameData/Squad/Parts/Resources/RadialDrill/RadialDrill.cfg line 135
https://www.youtube.com/watch?v=AbW051h9ziA

#6 - 07/13/2020 12:03 AM - simyo
- File Untitled.png added

| did test this and the range seems to be an issue here.
Please consider this screenshot:

#7 - 07/28/2020 09:19 PM - ShadowZone

| was able to harvest a comet in 1.10.1

Anyone else can confirm that it is fixed?

#8 - 08/04/2020 09:21 PM - arctangent

Seems fixed for me too.

#9 - 08/27/2020 11:44 AM - just_jim
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#10 - 08/27/2020 11:45 AM - just_jim
- Status changed from Being Worked On to Ready to Test
- Target version setto 1.10.1

- % Done changed from 30 to 80

#11 - 08/27/2020 11:45 AM - just_jim
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#12 - 01/29/2021 02:00 PM - victorr

- Status changed from Resolved to Closed
Files

Comet Catcher.craft
persistent.sfs
tmp.craft

Asteroid Miner 2.craft
persistent.zip

Untitled.png

04/30/2024

642 KB
764 KB
317 KB
230 KB
447 KB
405 KB

07/02/2020
07/02/2020
07/02/2020
07/05/2020
07/05/2020
07/13/2020

ShadowZone
ShadowZone
ShadowZone
Technophant
Technophant

simyo

3/3


http://www.tcpdf.org

